Test::Search::SEBPBS< Model > Class Template Reference

Test for portfolio-based search using SEBs More...

## Public Member Functions

| SEBPBS (const std::string &e, bool b, unsigned int mt0, unsigned int st0)
| Initialize test.
virtual bool | run (void)
| Run test.
Public Member Functions inherited from Test::Search::Test
| Test (const std::string &s, HowToBranch _htb1, HowToBranch _htb2, HowToBranch _htb3, HowToConstrain _htc=HTC_NONE)
| Initialize test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Search::Test
static std::string | str (unsigned int i)
| Map unsigned integer to string.
static std::string | str (HowToBranch htb)
| Map branching to string.
static std::string | str (HowToConstrain htc)
| Map constrain to string.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Public Attributes inherited from Test::Search::Test
HowToBranch | htb1
| How to branch.
HowToBranch | htb2
HowToBranch | htb3
HowToConstrain | htc
| How to constrain.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

template<class Model>
class Test::Search::SEBPBS< Model >

Test for portfolio-based search using SEBs

Definition at line 577 of file search.cpp.

## Constructor & Destructor Documentation

## SEBPBS()

template<class Model>

Test::Search::SEBPBS< Model >::SEBPBS | ( | const std::string & | e,
|  | bool | b,
|  | unsigned int | mt0,
|  | unsigned int | st0 )

inline

Initialize test.

Definition at line 587 of file search.cpp.

## Member Function Documentation

## run()

template<class Model>

virtual bool Test::Search::SEBPBS< Model >::run | ( | void |  | ) |

inline virtual

Run test.

Implements Test::Base.

Definition at line 591 of file search.cpp.

The documentation for this class was generated from the following file:

- test/search.cpp